﻿Public Class FormOption
    Public Property Smtp() As String
        Get
            Return TextSmtp.Text
        End Get
        Set(ByVal Value As String)
            TextSmtp.Text = Value
        End Set
    End Property

    Public Property SmtpPort() As Integer
        Get
            Return Integer.Parse(textSmtpPort.Text)
        End Get
        Set(ByVal Value As Integer)
            textSmtpPort.Text = value.ToString()
        End Set
    End Property

    Public Property SmtpSsl() As Integer
        Get
            If comboSmtpSsl.SelectedIndex = 1 Then
                Return nMail.Smtp.SSL3
            ElseIf comboSmtpSsl.SelectedIndex = 2 Then
                Return nMail.Smtp.TLS1
            ElseIf comboSmtpSsl.SelectedIndex = 3 Then
                Return nMail.Smtp.STARTTLS
            Else
                Return 0
            End If
        End Get
        Set(ByVal Value As Integer)
            If Value = nMail.Smtp.SSL3 Then
                comboSmtpSsl.SelectedIndex = 1
            ElseIf value = nMail.Smtp.TLS1 Then
                comboSmtpSsl.SelectedIndex = 2
            ElseIf value = nMail.Smtp.STARTTLS Then
                comboSmtpSsl.SelectedIndex = 3
            Else
                comboSmtpSsl.SelectedIndex = 0
            End If
        End Set
    End Property

    Public Property SmtpAuth() As Integer
        Get
            If comboSmtpAuth.SelectedIndex = 3 Then
                Return nMail.Smtp.AuthCramMd5
            Else
                Return comboSmtpAuth.SelectedIndex
            End If
        End Get
        Set(ByVal Value As Integer)
            If value = nMail.Smtp.AuthCramMd5 Then
                comboSmtpAuth.SelectedIndex = 3
            Else
                comboSmtpAuth.SelectedIndex = value
            End If
        End Set
    End Property

    Public Property Pop3() As String
        Get
            Return TextPop3.Text
        End Get
        Set(ByVal Value As String)
            TextPop3.Text = Value
        End Set
    End Property

    Public Property Pop3Port() As Integer
        Get
            Return Integer.Parse(textPop3Port.Text)
        End Get
        Set(ByVal Value As Integer)
            textPop3Port.Text = value.ToString()
        End Set
    End Property

    Public Property Pop3Ssl() As Integer
        Get
            If comboPop3Ssl.SelectedIndex = 1 Then
                Return nMail.Pop3.SSL3
            ElseIf comboPop3Ssl.SelectedIndex = 2 Then
                Return nMail.Pop3.TLS1
            ElseIf comboPop3Ssl.SelectedIndex = 3 Then
                Return nMail.Pop3.STARTTLS
            Else
                Return 0
            End If
        End Get
        Set(ByVal Value As Integer)
            If Value = nMail.Pop3.SSL3 Then
                comboPop3Ssl.SelectedIndex = 1
            ElseIf value = nMail.Pop3.TLS1 Then
                comboPop3Ssl.SelectedIndex = 2
            ElseIf value = nMail.Pop3.STARTTLS Then
                comboPop3Ssl.SelectedIndex = 3
            Else
                comboPop3Ssl.SelectedIndex = 0
            End If
        End Set
    End Property

    Public Property Address() As String
        Get
            Return TextAddress.Text
        End Get
        Set(ByVal Value As String)
            TextAddress.Text = Value
        End Set
    End Property

    Public Property Apop() As Boolean
        Get
            Return CheckApop.Checked
        End Get
        Set(ByVal Value As Boolean)
            CheckApop.Checked = Value
        End Set
    End Property

    Private Sub comboSmtpSsl_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles comboSmtpSsl.SelectedIndexChanged
        If (comboPop3Ssl.SelectedIndex = 0) Or (comboPop3Ssl.SelectedIndex = 3) Then
            textPop3Port.Text = nMail.Pop3.StandardPortNo.ToString()
        Else
            textPop3Port.Text = nMail.Pop3.StandardSslPortNo.ToString()
        End If
    End Sub

    Private Sub comboPop3Ssl_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles comboPop3Ssl.SelectedIndexChanged
        If (comboSmtpSsl.SelectedIndex = 0) Or (comboSmtpSsl.SelectedIndex = 3) Then
            textSmtpPort.Text = nMail.Smtp.StandardPortNo.ToString()
        Else
            textSmtpPort.Text = nMail.Smtp.StandardSslPortNo.ToString()
        End If
    End Sub
End Class